Loading...
Searching...
No Matches
field_functor< Function, Result >

## Detailed Description

template<class Function, class Result>
struct rheolef::field_functor< Function, Result >

Definition at line 83 of file field_functor.h.

Inheritance diagram for field_functor< Function, Result >:

## Public Member Functions

const Function & | get_ref () const
| operator Function () const
Result | operator() (const point &x) const

## Member Function Documentation

## get_ref()

template<class Function, class Result>

const Function & get_ref | ( |  | ) | const

Definition at line 85 of file field_functor.h.

## operator Function()

template<class Function, class Result>

operator Function | ( |  | ) | const

Definition at line 86 of file field_functor.h.

## operator()()

template<class Function, class Result>

Result operator() | ( | const point & | x | ) | const

Definition at line 87 of file field_functor.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-L67pNR/rheolef-7.2/main/lib/field_functor.h